Bug 655704 - The broctl util missing BroControl Python mod - can not start BRO-IDS any standard way
Summary: The broctl util missing BroControl Python mod - can not start BRO-IDS any sta...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bro
Version: 14
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
Assignee: Daniel Kopeček
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-22 08:42 UTC by Matouš Jan Fialka
Modified: 2012-08-16 18:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:01:22 UTC
Type: ---


Attachments (Terms of Use)

Description Matouš Jan Fialka 2010-11-22 08:42:47 UTC
Description of problem:

The BRO-IDS broctl script needed to even run BRO from /etc/init.d/bro init script is missing the BroControl Python module.

# broctl
Traceback (most recent call last):
  File "/usr/bin/broctl", line 703, in <module>
    from BroControl import util
ImportError: No module named BroControl

Version-Release number of selected component (if applicable):

# bro --version
bro version 1.5.1

How reproducible:

Just try to run broctl or service bro start etc.

Steps to Reproduce:
1. yum install bro
2. broctl
3.
  
Actual results:

Can not command BRO-IDS at all using stardard ways (init script, broctl).

Expected results:

Additional info:

Comment 1 Sinan Ceylan 2010-11-30 00:41:10 UTC
There is no need this line on spec.file it causes path problem, just remove or remark it and rebuid rpm:

sed -i 's|lib/broctl|%{_libdir}/broctl|g' %{buildroot}%{_bindir}/broctl

Comment 2 Fedora End Of Life 2012-08-16 18:01:25 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.